import numpy as np
import RobotDART as rd
import dartpy # OSX breaks if this is imported before RobotDART

########## Create simulator object ##########
simu = rd.RobotDARTSimu(0.001)

########## Load a robot ##########
robot = rd.Robot("arm.urdf")

########## Add the robot in the world ##########
simu.add_robot(robot)

########## Create Graphics ##########
graphics = rd.gui.Graphics()
simu.set_graphics(graphics)

########## Fix robot to world frame ##########
robot.fix_to_world()

########## Put the robot in some joint positions ##########
robot.set_positions([1., -0.8, 1.5, 0.2])

########## Change the actuator type ##########
robot.set_actuator_types("servo") # available actuator types: torque, servo, velocity, locked, mimic

########## Run simulation ##########
while True:
    if simu.step_world():
        break
